import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.g2d.SpriteBatch;
import com.badlogic.gdx.physics.box2d.BodyDef.BodyType;
import com.badlogic.gdx.physics.box2d.World;

public class Brick {
	public static final int FW = 33;
	public static final int FH = 36;
	private int x, y;
	private Texture tx;
	private SpriteBatch sb;
	private Box b;

	Brick(int x, int y, World world) {
		this.x = x;
		this.y = y;
		tx = new Texture(Gdx.files.internal("data/brick.png"));
		sb = new SpriteBatch();
		b = new Box(x, y, FW, FH, world, BodyType.StaticBody, true);
	}

	public void step() {
		x = (int) b.body.getPosition().x;
		y = (int) b.body.getPosition().y;
		sb.begin();
		sb.draw(tx, x, y, FW, FH);
		sb.end();
	}
}