import java.io.FileNotFoundException;
import java.util.ArrayList;
import java.util.Scanner;

import com.badlogic.gdx.Game;
import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.files.FileHandle;
import com.badlogic.gdx.graphics.GL20;
import com.badlogic.gdx.math.Vector2;
import com.badlogic.gdx.physics.box2d.World;

public class GameLoop extends Game {

	YahYah y;
	

	ArrayList<Brick> bricks;
	Brick b;
	
	World world = new World(new Vector2(0, -20), true);

	@Override
	public void create() {
		
		//Load level here...
		bricks = readLevel("data/Level0");
		
		y = new YahYah(200, 100, world);
	
	}

	private ArrayList<Brick> readLevel(String path) {
		ArrayList<Brick> level = new ArrayList<Brick>();
		FileHandle f = Gdx.files.internal(path);
		
		try {
			Scanner scan = new Scanner(f.file());
			//Stopped here
			
			int row = 0;
			while(scan.hasNext()){
				String line = scan.nextLine();
				String[] item = line.split(" ");
				for(int i = 0; i < item.length; i++){
					if(item[i].equals("1")){
						level.add(new Brick(i * Brick.FW, row * Brick.FH, world));
					}
				}
				row++;
			}
			scan.close();
			
		} catch (FileNotFoundException e) {
			System.out.println("Level was not found!");
			System.exit(0);
		}
		return level;
	}

	public void render() {
		// RED GREEN BLUE ALPHA
		Gdx.gl.glClearColor(1, 1, 1, 1);
		Gdx.gl.glClear(GL20.GL_COLOR_BUFFER_BIT);

		for(Brick a : bricks){
			a.step();
		}
		
		y.step();
	
		world.step(1 / 60f, 6, 2);
	}
}
