import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.g2d.SpriteBatch;
import com.badlogic.gdx.graphics.g2d.TextureRegion;
import com.badlogic.gdx.physics.box2d.BodyDef.BodyType;
import com.badlogic.gdx.physics.box2d.World;

public class YahYah {
	static final int NUM_FRAMES = 4;
	static final int FW = 33;
	static final int FH = 36;
	private int x, y;
	private Texture tx;
	private TextureRegion[] tr;
	private SpriteBatch sb;
	private int thisFrame;

	private Box b;
	
	YahYah(int x, int y, World world) {
		this.x = x;
		this.y = y;

		thisFrame = 0;
		tx = new Texture(Gdx.files.internal("data/birdSheet2.png"));

		sb = new SpriteBatch();

		tr = new TextureRegion[NUM_FRAMES];

		for (int i = 0; i < NUM_FRAMES; i++) {
			tr[i] = new TextureRegion(tx, FW * i, 0, FW, FH);
		}
		
		b = new Box(x, y, FW, FH, world, BodyType.DynamicBody, true);
	}

	public void step() {
		x = (int)b.body.getPosition().x;
		y = (int)b.body.getPosition().y;
		
		sb.begin();
		sb.draw(tr[thisFrame], x, y);
		sb.end();
		thisFrame = (thisFrame + 1) % NUM_FRAMES;
	}

}
